> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# Get external event pull logs



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-event-pulls/{id}/logs
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-event-pulls/{id}/logs:
    get:
      tags:
        - ExternalEventPulls
      summary: Get external event pull logs
      operationId: getExternalEventPullLogs
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ElementLogsResponseDto'
components:
  schemas:
    ElementLogsResponseDto:
      type: array
      items:
        type: object
        properties: {}
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````